# LSB Test Execution Framework
# Cmdchk test module
#
# Copyright (C) 2006-2007 Free Standards Group. All rights reserved.
#
# This program has been developed by ISP RAS for FSG with some parts
# derived from lsb-autotest written by Jiri Dluhos <jdluhos@suse.cz>
# Copyright (C) 2005-2007 SuSE Linux Products GmbH
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

package Cmdchk_test;
use strict;

use Common;
use Packages;
use Journal;

require Tests::Test_common;
@Cmdchk_test::ISA = qw(Test_common);

=head ##
Class Cmdchk_test Inherits Test_common;
=cut ##

sub new {
  my $self  = Test_common->new();
  $self->{NAME} = "cmdchk";
  $self->{PACKAGES} .= " lsb-cmdchk";
  $self->{SOURCES} .= " runtime";
  $self->{BETA_SOURCES} .= " runtime";
  bless($self);
  return $self;
}

sub journal {
    my $self = shift;
    
    # Parse the journal.
    parse_tet_journal ( "Command Check", "command_check", 
        "$results_dir/test_journals/command_check.journal", $self );
}

1; # return value