#!/bin/sh

SUDO_CMD=$1

if [ -z "$1" ]; then
	if lsb_release -ds | grep -i "ubuntu" >/dev/null 2>&1; then
		SUDO_CMD="sudo su -c"
	else
		SUDO_CMD="su -c"
	fi
fi


ps -A | grep '\bserver.pl\b' >/dev/null 2>&1
if (( $? ))
then
	echo "    Server is not running."
        exit 1
fi

read -p "    Are you sure you want to stop the server? " reply
if [[ ($reply == "y") || ($reply == "yes") ]]
then
    if (( $UID != 0 ))
    then
		echo
		echo "    The command '$SUDO_CMD' will be used to become root."
		echo "    If you want to change this, run $0 <sudo command>."
		echo
        echo "    Please type the appropriate password if prompted."
        echo -n "    "
    	$SUDO_CMD "killall -SIGTERM server.pl"
		echo 
	else
		killall -SIGTERM server.pl
    fi
fi
